Name:		perl-Filesys-SmbClient
Version:	3.2
Release:	16%{?dist}
Summary:	Samba client Perl module

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Filesys-SmbClient
Source0:	https://cpan.metacpan.org/authors/id/A/AL/ALIAN/Filesys-SmbClient-%{version}.tar.gz
# Patch Makefile.PL to
# * Disable tests (requires Samba server access)
# * Know where to search includes (/usr/include/samba-4.0)
Patch0:		Filesys-SmbClient-3.2_Makefile.patch


BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	libsmbclient-devel


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl module that provides interface to Samba smbclient routines. It gives Perl
programmers a way to access Samb/CIFS servers natively.


%prep
%setup -q -n Filesys-SmbClient-%{version}
%patch0 -p0
chmod -x Changes
find . -name "*.pm" -exec chmod -c a-x {} +
find . -name "libauthSamba*" -exec chmod -c a-x {} +
find . -name "SmbClient.xs" -exec chmod -c a-x {} +


%build
# Force Makefile to use defaults
export PERL_MM_USE_DEFAULT=1
# HOSTTYPE is not exported by default, hence not readable by Perl
# Needed to be able to find libsmbclient.so in /usr/lib64
export HOSTTYPE
# CCFLAGS: Tell samba to use close_fn not close (caused compilation error)
perl Makefile.PL INSTALLDIRS=vendor CCFLAGS='-DHAVE_CLOSEFN' OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} %{buildroot}/*


%files
%doc Changes README COPYING
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Filesys*
%{_mandir}/man3/*


%changelog
* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 3.2-16
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.2-12
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 3.2-10
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 3.2-7
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 3.2-6
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 3.2-2
- Perl 5.18 rebuild

* Fri Feb 15 2013 Normunds Neimanis <fedorapkg at rule.lv> 3.2-1
- Package for current Fedora
